> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Models List

> This endpoint returns a list of all the public models available.

## Request

Send a `POST` request to below endpoint to obtain a list with the available public models and their IDs.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v4/dreambooth/model_list' \
```

## Body

```json json theme={null}
{ 
    "key": "your_api_key"
}
```


## OpenAPI

````yaml POST /model_list
openapi: 3.0.3
info:
  title: ModelsLab API
  description: >-
    API endpoints for managing and browsing Stable Diffusion models - includes
    public model discovery, custom model uploads, and trained model management.
  version: 4.0.0
  contact:
    name: ModelsLab Support
    url: https://modelslab.com
servers:
  - url: https://modelslab.com/api/v3
    description: V3 API Endpoints
  - url: https://modelslab.com/api/v4
    description: V4 API Endpoints
security: []
tags:
  - name: Public Models
    description: Browse and discover publicly available pre-trained models
  - name: Model Management
    description: Upload custom models and manage your trained model collection
paths:
  /model_list:
    post:
      tags:
        - Public Models
      summary: Get Public Models List
      description: >-
        Returns a list of all the public models available with their IDs and
        information including status, name, description, etc.
      operationId: getPublicModelList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyRequest'
      responses:
        '200':
          description: Successful response with list of public models
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicModel'
              example:
                - model_id: midjourney
                  status: model_ready
                  created_at: null
                  instance_prompt: mdjrny-v4 style
                  model_name: MidJourney V4
                  description: >-
                    Openjourney is an open source Stable Diffusion fine tuned
                    model on Midjourney images, by PromptHero
                  screenshots: >-
                    https://d1okzptojspljx.cloudfront.net/generations/14853540911669470514.png
                - model_id: anything-v3
                  status: model_ready
                  created_at: null
                  instance_prompt: null
                  model_name: Anything V3
                  description: >-
                    This model is intended to produce high-quality, highly
                    detailed anime style with just a few prompts.
                  screenshots: >-
                    https://d1okzptojspljx.cloudfront.net/generations/8589140601669473451.png
                - model_id: wifu-diffusion
                  status: model_ready
                  created_at: null
                  instance_prompt: null
                  model_name: Wifu Diffusion
                  description: >-
                    waifu-diffusion is a latent text-to-image diffusion model
                    that has been conditioned on high-quality anime images
                    through fine-tuning.
                  screenshots: >-
                    https://d1okzptojspljx.cloudfront.net/generations/21468819471669474933.png
        '401':
          $ref: '#/components/responses/Unauthorized'
      servers:
        - url: https://modelslab.com/api/v4/dreambooth
components:
  schemas:
    ApiKeyRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your API Key used for request authorization
          example: ''
    PublicModel:
      type: object
      properties:
        model_id:
          type: string
          description: Unique identifier for the model
          example: midjourney
        status:
          type: string
          description: Current status of the model
          example: model_ready
        created_at:
          type: string
          nullable: true
          description: Creation timestamp of the model
          example: null
        instance_prompt:
          type: string
          nullable: true
          description: Prompt to use this model effectively
          example: mdjrny-v4 style
        model_name:
          type: string
          description: Display name of the model
          example: MidJourney V4
        description:
          type: string
          description: Description of the model's capabilities
          example: >-
            Openjourney is an open source Stable Diffusion fine tuned model on
            Midjourney images, by PromptHero
        screenshots:
          type: string
          format: uri
          description: URL to preview image showcasing the model's output
          example: >-
            https://d1okzptojspljx.cloudfront.net/generations/14853540911669470514.png
    Error:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          description: Error description
        code:
          type: integer
          description: Error code
  responses:
    Unauthorized:
      description: Unauthorized - Invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````